OtherAPI ReferenceOrganization

Get the organization limits

Monthly budget and, per region the organization can use, the rate and quota limits in effect. Concurrency limits are per session type.

GET
https://api.soniox.com/v1/organization/limits

Monthly budget and, per region the organization can use, the rate and quota limits in effect. Concurrency limits are per session type.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Response

200

OK

monthly_budget_usdRequiredstring

Organization budget in effect.

monthly_budget_max_usdRequiredstring

Highest budget the organization may set for itself.

monthly_budget_notification_usdRequiredstring

Usage at which the organization is emailed. Null when unset.

regionsRequiredarray<object>

Limits per region the organization has access to, defaults filled in.

Errors

OK

{
  "monthly_budget_usd": "string",
  "monthly_budget_max_usd": "string",
  "monthly_budget_notification_usd": "string",
  "regions": [
    {
      "region": "string",
      "transcribe_rpm": "string",
      "transcribe_concurrent": 0,
      "tts_rpm": "string",
      "tts_concurrent": 0,
      "transcribe_async_rpm": "string",
      "transcribe_async_concurrent": 0,
      "transcribe_async_total_num_files": 0,
      "transcribe_async_pending_num_files": 0,
      "files_rpm": "string",
      "files_total_size_gb": "string",
      "files_total_count": 0,
      "voices_rpm": "string",
      "voices_total_count": 0,
      "webhooks_concurrent": 0
    }
  ]
}

Unauthorized

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Forbidden

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Not Found

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Too Many Requests

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Internal Server Error

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}